> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT Collection

> Get NFT collection by collection address

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml get /nfts/collection-by-address
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /nfts/collection-by-address:
    get:
      tags:
        - Nfts
      summary: Get NFT Collection
      description: Get NFT collection by collection address
      operationId: nfts_get-nft-collection
      parameters:
        - name: network
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/Network'
            nullable: true
        - name: contract_address
          in: query
          description: address of the NFT contract
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NftCollection'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    NftCollection:
      title: NftCollection
      type: object
      properties:
        network:
          $ref: '#/components/schemas/Network'
        contract_address:
          type: string
        name:
          type: string
        symbol:
          type: string
          nullable: true
        image_url:
          type: string
      required:
        - network
        - contract_address
        - name
        - image_url
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````